Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(522)

Issue 5752064: User directed Function Multiversioning via Function Overloading

Can't Edit
Can't Publish+Mail
Start Review
Created:
9 years ago by Sriraman
Modified:
8 years, 4 months ago
Reviewers:
hjl.tools, jason, richard.guenther, iant2, davidxl, Diego Novillo, hubicka
CC:
gcc-patches_gcc.gnu.org
Base URL:
svn+ssh://gcc.gnu.org/svn/gcc/trunk/gcc/
Visibility:
Public.

Patch Set 1 #

Patch Set 2 : User directed Function Multiversioning via Function Overloading #

Patch Set 3 : User directed Function Multiversioning via Function Overloading #

Patch Set 4 : User directed Function Multiversioning via Function Overloading #

Patch Set 5 : User directed Function Multiversioning via Function Overloading #

Patch Set 6 : User directed Function Multiversioning via Function Overloading #

Patch Set 7 : User directed Function Multiversioning via Function Overloading #

Patch Set 8 : User directed Function Multiversioning via Function Overloading #

Patch Set 9 : User directed Function Multiversioning via Function Overloading #

Total comments: 5

Patch Set 10 : User directed Function Multiversioning via Function Overloading #

Unified diffs Side-by-side diffs Delta from patch set Stats (+1673 lines, -22 lines) Patch
M gcc/c-family/c-common.c View 1 2 3 4 5 6 7 8 9 1 chunk +16 lines, -3 lines 0 comments Download
M gcc/cgraph.h View 1 2 3 4 5 6 7 8 9 3 chunks +22 lines, -0 lines 0 comments Download
M gcc/cgraph.c View 1 2 3 4 5 6 7 8 9 1 chunk +8 lines, -0 lines 0 comments Download
M gcc/cgraphbuild.c View 1 2 3 4 5 6 7 8 9 3 chunks +16 lines, -3 lines 0 comments Download
M gcc/config/i386/i386.c View 4 chunks +993 lines, -0 lines 0 comments Download
M gcc/cp/call.c View 1 2 3 4 5 6 7 8 9 5 chunks +74 lines, -0 lines 0 comments Download
M gcc/cp/class.c View 1 2 3 4 5 6 7 8 9 5 chunks +66 lines, -7 lines 0 comments Download
M gcc/cp/decl.c View 1 2 3 4 5 6 7 8 9 5 chunks +27 lines, -2 lines 0 comments Download
M gcc/cp/decl2.c View 1 2 3 4 5 6 7 8 9 1 chunk +4 lines, -0 lines 0 comments Download
M gcc/cp/error.c View 1 2 3 4 5 6 7 8 9 1 chunk +8 lines, -1 line 0 comments Download
M gcc/cp/mangle.c View 1 2 3 4 5 6 7 8 9 2 chunks +14 lines, -2 lines 0 comments Download
M gcc/cp/semantics.c View 1 2 3 4 5 6 7 8 9 1 chunk +5 lines, -2 lines 0 comments Download
M gcc/doc/tm.texi View 1 2 3 4 5 6 7 8 9 2 chunks +31 lines, -0 lines 0 comments Download
M gcc/doc/tm.texi.in View 1 2 3 4 5 6 7 8 9 2 chunks +31 lines, -0 lines 0 comments Download
M gcc/target.def View 1 2 3 4 5 6 7 8 9 2 chunks +41 lines, -0 lines 0 comments Download
A gcc/testsuite/g++.dg/mv1.C View 1 2 3 4 5 6 7 8 9 1 chunk +130 lines, -0 lines 0 comments Download
A gcc/testsuite/g++.dg/mv2.C View 1 2 3 4 5 6 7 8 9 1 chunk +119 lines, -0 lines 0 comments Download
A gcc/testsuite/g++.dg/mv3.C View 1 2 3 4 5 6 7 8 9 1 chunk +37 lines, -0 lines 0 comments Download
A gcc/testsuite/g++.dg/mv4.C View 1 2 3 4 5 6 7 8 9 1 chunk +23 lines, -0 lines 0 comments Download
M gcc/tree.h View 1 2 3 4 5 6 7 8 9 2 chunks +8 lines, -2 lines 0 comments Download

Messages

Total messages: 86
Sriraman
User directed Function Multiversioning (MV) via Function Overloading ==================================================================== This patch adds support for user ...
9 years ago (2012-03-07 00:46:33 UTC) #1
richard.guenther_gmail.com
On Wed, Mar 7, 2012 at 1:46 AM, Sriraman Tallam <tmsriram@google.com> wrote: > User directed ...
9 years ago (2012-03-07 14:05:16 UTC) #2
Sriraman
On Wed, Mar 7, 2012 at 6:05 AM, Richard Guenther <richard.guenther@gmail.com> wrote: > On Wed, ...
9 years ago (2012-03-07 19:08:04 UTC) #3
davidxl
> You don't give an overview of the frontend implementation. Thus I have > extracted ...
9 years ago (2012-03-08 21:00:25 UTC) #4
davidxl
On Wed, Mar 7, 2012 at 11:08 AM, Sriraman Tallam <tmsriram@google.com> wrote: > On Wed, ...
9 years ago (2012-03-08 21:36:55 UTC) #5
Sriraman
Hi Richard, Here is a more detailed overview of the front-end description: * Tracking decls ...
9 years ago (2012-03-09 20:04:11 UTC) #6
Sriraman
Hi, I have made the following changes in this new patch which is attached: * ...
8 years, 10 months ago (2012-04-27 05:08:48 UTC) #7
hjl.tools_gmail.com
On Thu, Apr 26, 2012 at 10:08 PM, Sriraman Tallam <tmsriram@google.com> wrote: > Hi, > ...
8 years, 10 months ago (2012-04-27 13:38:54 UTC) #8
Sriraman
On Fri, Apr 27, 2012 at 6:38 AM, H.J. Lu <hjl.tools@gmail.com> wrote: > On Thu, ...
8 years, 10 months ago (2012-04-27 14:35:37 UTC) #9
hjl.tools_gmail.com
On Fri, Apr 27, 2012 at 7:35 AM, Sriraman Tallam <tmsriram@google.com> wrote: > On Fri, ...
8 years, 10 months ago (2012-04-27 14:38:48 UTC) #10
Sriraman
On Fri, Apr 27, 2012 at 7:38 AM, H.J. Lu <hjl.tools@gmail.com> wrote: > On Fri, ...
8 years, 10 months ago (2012-04-27 14:53:33 UTC) #11
hjl.tools_gmail.com
On Fri, Apr 27, 2012 at 7:53 AM, Sriraman Tallam <tmsriram@google.com> wrote: > On Fri, ...
8 years, 10 months ago (2012-04-27 15:36:47 UTC) #12
Sriraman
On Fri, Apr 27, 2012 at 8:36 AM, H.J. Lu <hjl.tools@gmail.com> wrote: > On Fri, ...
8 years, 10 months ago (2012-04-27 15:45:11 UTC) #13
Sriraman
Hi, New patch attached, updated test case and fixed bugs related to __PRETTY_FUNCTION_. Patch also ...
8 years, 10 months ago (2012-05-01 23:51:01 UTC) #14
hjl.tools_gmail.com
On Tue, May 1, 2012 at 4:51 PM, Sriraman Tallam <tmsriram@google.com> wrote: > Hi, > ...
8 years, 10 months ago (2012-05-02 00:08:50 UTC) #15
Sriraman
Hi H.J, Done now. Patch attached. Thanks, -Sri. On Tue, May 1, 2012 at 5:08 ...
8 years, 10 months ago (2012-05-02 02:45:10 UTC) #16
hjl.tools_gmail.com
On Tue, May 1, 2012 at 7:45 PM, Sriraman Tallam <tmsriram@google.com> wrote: > Hi H.J, ...
8 years, 10 months ago (2012-05-02 13:42:37 UTC) #17
Sriraman
On Wed, May 2, 2012 at 6:42 AM, H.J. Lu <hjl.tools@gmail.com> wrote: > On Tue, ...
8 years, 10 months ago (2012-05-02 15:08:28 UTC) #18
hjl.tools_gmail.com
On Wed, May 2, 2012 at 8:08 AM, Sriraman Tallam <tmsriram@google.com> wrote: > On Wed, ...
8 years, 10 months ago (2012-05-02 16:05:51 UTC) #19
Sriraman
On Wed, May 2, 2012 at 9:05 AM, H.J. Lu <hjl.tools@gmail.com> wrote: > On Wed, ...
8 years, 10 months ago (2012-05-02 17:44:04 UTC) #20
hjl.tools_gmail.com
On Wed, May 2, 2012 at 10:44 AM, Sriraman Tallam <tmsriram@google.com> wrote: >>>> >>>> 1. ...
8 years, 10 months ago (2012-05-02 18:04:05 UTC) #21
Sriraman
On Wed, May 2, 2012 at 11:04 AM, H.J. Lu <hjl.tools@gmail.com> wrote: > On Wed, ...
8 years, 10 months ago (2012-05-07 16:58:24 UTC) #22
Sriraman
Hi, Attached new patch with more bug fixes. I will fix the dispatching method to ...
8 years, 10 months ago (2012-05-09 19:01:07 UTC) #23
hjl.tools_gmail.com
On Wed, May 9, 2012 at 12:01 PM, Sriraman Tallam <tmsriram@google.com> wrote: > Hi, > ...
8 years, 10 months ago (2012-05-10 17:55:25 UTC) #24
Sriraman
Hi H.J., I have updated the patch to improve the dispatching method like we discussed. ...
8 years, 10 months ago (2012-05-12 02:04:17 UTC) #25
hjl.tools_gmail.com
On Fri, May 11, 2012 at 7:04 PM, Sriraman Tallam <tmsriram@google.com> wrote: > Hi H.J., ...
8 years, 10 months ago (2012-05-12 13:37:58 UTC) #26
Sriraman
Hi H.J, Attaching new patch with 2 test cases, mv2.C checks ISAs only and mv1.C ...
8 years, 9 months ago (2012-05-14 18:29:00 UTC) #27
hjl.tools_gmail.com
On Mon, May 14, 2012 at 11:28 AM, Sriraman Tallam <tmsriram@google.com> wrote: > Hi H.J, ...
8 years, 9 months ago (2012-05-26 00:07:25 UTC) #28
Sriraman
Hi H.J., On Fri, May 25, 2012 at 5:07 PM, H.J. Lu <hjl.tools@gmail.com> wrote: > ...
8 years, 9 months ago (2012-05-26 00:16:24 UTC) #29
hjl.tools_gmail.com
On Fri, May 25, 2012 at 5:16 PM, Sriraman Tallam <tmsriram@google.com> wrote: > Hi H.J., ...
8 years, 9 months ago (2012-05-26 00:27:34 UTC) #30
Sriraman
On Fri, May 25, 2012 at 5:27 PM, H.J. Lu <hjl.tools@gmail.com> wrote: > On Fri, ...
8 years, 9 months ago (2012-05-26 01:54:08 UTC) #31
hjl.tools_gmail.com
On May 25, 2012 6:54 PM, "Sriraman Tallam" <tmsriram@google.com> wrote: > > > >> > ...
8 years, 9 months ago (2012-05-26 02:15:10 UTC) #32
Sriraman
On May 25, 2012 7:15 PM, "H.J. Lu" <hjl.tools@gmail.com> wrote: > > > On May ...
8 years, 9 months ago (2012-05-26 03:38:21 UTC) #33
hjl.tools_gmail.com
On Fri, May 25, 2012 at 8:38 PM, Sriraman Tallam <tmsriram@google.com> wrote: > > On ...
8 years, 9 months ago (2012-05-26 05:05:46 UTC) #34
Sriraman
On Fri, May 25, 2012 at 10:05 PM, H.J. Lu <hjl.tools@gmail.com> wrote: > On Fri, ...
8 years, 9 months ago (2012-05-26 22:34:52 UTC) #35
hjl.tools_gmail.com
On Sat, May 26, 2012 at 3:34 PM, Sriraman Tallam <tmsriram@google.com> wrote: > On Fri, ...
8 years, 9 months ago (2012-05-26 23:56:08 UTC) #36
Sriraman
On Sat, May 26, 2012 at 4:56 PM, H.J. Lu <hjl.tools@gmail.com> wrote: > On Sat, ...
8 years, 9 months ago (2012-05-27 00:23:52 UTC) #37
hjl.tools_gmail.com
On Sat, May 26, 2012 at 5:23 PM, Sriraman Tallam <tmsriram@google.com> wrote: > On Sat, ...
8 years, 9 months ago (2012-05-27 02:06:04 UTC) #38
Sriraman
On Sat, May 26, 2012 at 7:06 PM, H.J. Lu <hjl.tools@gmail.com> wrote: > On Sat, ...
8 years, 9 months ago (2012-05-27 02:23:17 UTC) #39
hjl.tools_gmail.com
On Sat, May 26, 2012 at 7:23 PM, Sriraman Tallam <tmsriram@google.com> wrote: >> >> That ...
8 years, 9 months ago (2012-05-27 02:31:23 UTC) #40
iant2
Sriraman Tallam <tmsriram@google.com> writes: > Any reason why gcc should not be made to prefer ...
8 years, 9 months ago (2012-05-27 19:02:35 UTC) #41
Sriraman
Hi, Attaching updated patch for function multiversioning which brings in plenty of changes. * As ...
8 years, 9 months ago (2012-06-04 18:59:44 UTC) #42
hjl.tools_gmail.com
On Mon, Jun 4, 2012 at 11:59 AM, Sriraman Tallam <tmsriram@google.com> wrote: > Hi, > ...
8 years, 9 months ago (2012-06-04 21:36:27 UTC) #43
Sriraman
Bug fixed and new patch attached. Patch also available for review at http://codereview.appspot.com/5752064 Thanks, -Sri. ...
8 years, 9 months ago (2012-06-04 22:29:05 UTC) #44
hjl.tools_gmail.com
On Mon, Jun 4, 2012 at 3:29 PM, Sriraman Tallam <tmsriram@google.com> wrote: > Bug fixed ...
8 years, 9 months ago (2012-06-05 13:56:44 UTC) #45
Sriraman
On Jun 5, 2012 6:56 AM, "H.J. Lu" <hjl.tools@gmail.com> wrote: > > On Mon, Jun ...
8 years, 9 months ago (2012-06-05 14:14:10 UTC) #46
Sriraman
+cc c++ front-end maintainers Hi, C++ Frontend maintainers, Could you please take a look at ...
8 years, 8 months ago (2012-06-14 20:13:20 UTC) #47
Sriraman
Ping. On Thu, Jun 14, 2012 at 1:13 PM, Sriraman Tallam <tmsriram@google.com> wrote: > +cc ...
8 years, 8 months ago (2012-06-20 01:03:29 UTC) #48
Sriraman
Ping. On Tue, Jun 19, 2012 at 6:03 PM, Sriraman Tallam <tmsriram@google.com>wrote: > Ping. > ...
8 years, 8 months ago (2012-06-29 19:31:08 UTC) #49
richard.guenther_gmail.com
On Thu, Jun 14, 2012 at 10:13 PM, Sriraman Tallam <tmsriram@google.com> wrote: > +cc c++ ...
8 years, 8 months ago (2012-07-06 09:14:05 UTC) #50
Sriraman
On Fri, Jul 6, 2012 at 2:14 AM, Richard Guenther <richard.guenther@gmail.com> wrote: > > On ...
8 years, 8 months ago (2012-07-06 17:37:42 UTC) #51
jason_redhat.com
On 06/14/2012 04:13 PM, Sriraman Tallam wrote: > C++ Frontend maintainers, Could you please take ...
8 years, 8 months ago (2012-07-07 06:06:03 UTC) #52
davidxl
On Fri, Jul 6, 2012 at 11:05 PM, Jason Merrill <jason@redhat.com> wrote: > On 06/14/2012 ...
8 years, 8 months ago (2012-07-07 18:38:09 UTC) #53
jason_redhat.com
On 07/07/2012 08:38 PM, Xinliang David Li wrote: >> It seems to me that what ...
8 years, 8 months ago (2012-07-08 11:20:50 UTC) #54
davidxl
http://codereview.appspot.com/5752064/diff/51001/gcc/cgraph.c File gcc/cgraph.c (right): http://codereview.appspot.com/5752064/diff/51001/gcc/cgraph.c#newcode1282 gcc/cgraph.c:1282: is needed as the address can be used to ...
8 years, 8 months ago (2012-07-09 21:22:21 UTC) #55
davidxl
Ok. Do you have specific comments on the patch? thanks, David On Sun, Jul 8, ...
8 years, 8 months ago (2012-07-09 21:27:29 UTC) #56
jason_redhat.com
On 07/09/2012 11:27 PM, Xinliang David Li wrote: > Ok. Do you have specific comments ...
8 years, 8 months ago (2012-07-10 09:46:34 UTC) #57
davidxl
On Tue, Jul 10, 2012 at 2:46 AM, Jason Merrill <jason@redhat.com> wrote: > On 07/09/2012 ...
8 years, 8 months ago (2012-07-10 16:08:49 UTC) #58
Sriraman
Hi Jason/David, Thanks for the comments. On Tue, Jul 10, 2012 at 9:08 AM, Xinliang ...
8 years, 8 months ago (2012-07-10 19:11:35 UTC) #59
Sriraman
On Tue, Jul 10, 2012 at 9:08 AM, Xinliang David Li <davidxl@google.com>wrote: > On Tue, ...
8 years, 8 months ago (2012-07-10 19:14:10 UTC) #60
jason_redhat.com
On 07/10/2012 03:14 PM, Sriraman Tallam wrote: > I am using the questions you asked ...
8 years, 7 months ago (2012-07-19 20:39:46 UTC) #61
Sriraman
On Thu, Jul 19, 2012 at 1:39 PM, Jason Merrill <jason@redhat.com> wrote: > > On ...
8 years, 7 months ago (2012-07-30 19:01:14 UTC) #62
Sriraman
Hi Jason, I have created a new patch to use target hooks for all the ...
8 years, 6 months ago (2012-08-25 00:34:19 UTC) #63
Sriraman
Ping. On Aug 25, 2012 6:04 AM, "Sriraman Tallam" <tmsriram@google.com> wrote: > Hi Jason, > ...
8 years, 6 months ago (2012-09-01 03:15:04 UTC) #64
Sriraman
Ping. On Fri, Aug 24, 2012 at 5:34 PM, Sriraman Tallam <tmsriram@google.com> wrote: > Hi ...
8 years, 5 months ago (2012-09-18 16:29:12 UTC) #65
davidxl
Hi Jason, Sri has addressed the comments you had on FE part. Can you take ...
8 years, 5 months ago (2012-10-05 17:07:38 UTC) #66
jason_redhat.com
On 08/24/2012 08:34 PM, Sriraman Tallam wrote: > + /* If the address of a ...
8 years, 5 months ago (2012-10-05 17:44:01 UTC) #67
jason_redhat.com
On 10/05/2012 01:43 PM, Jason Merrill wrote: > On 08/24/2012 08:34 PM, Sriraman Tallam wrote: ...
8 years, 5 months ago (2012-10-05 18:14:36 UTC) #68
jason_redhat.com
On 08/24/2012 08:34 PM, Sriraman Tallam wrote: > + /* For function versions, their parms ...
8 years, 5 months ago (2012-10-05 18:32:19 UTC) #69
Sriraman
On Fri, Oct 5, 2012 at 10:43 AM, Jason Merrill <jason@redhat.com> wrote: > On 08/24/2012 ...
8 years, 5 months ago (2012-10-05 21:57:57 UTC) #70
jason_redhat.com
On 10/05/2012 05:57 PM, Sriraman Tallam wrote: > In general, the dispatcher is always necessary ...
8 years, 5 months ago (2012-10-05 22:50:07 UTC) #71
Sriraman
On Fri, Oct 5, 2012 at 3:50 PM, Jason Merrill <jason@redhat.com> wrote: > On 10/05/2012 ...
8 years, 5 months ago (2012-10-05 23:45:41 UTC) #72
Sriraman
Hi Jason, I have addressed all your comments and attached the new patch. On Fri, ...
8 years, 5 months ago (2012-10-10 23:45:45 UTC) #73
Sriraman
Hi Jason, I have attached the latest patch with more cleanups. Please let me know ...
8 years, 4 months ago (2012-10-12 22:19:04 UTC) #74
Diego Novillo
On 2012-10-12 18:19 , Sriraman Tallam wrote: > When the front-end sees more than one ...
8 years, 4 months ago (2012-10-19 15:10:30 UTC) #75
Sriraman
Hi Diego, Thanks for the review. I have addressed all your comments. New patch attached. ...
8 years, 4 months ago (2012-10-20 02:33:11 UTC) #76
Sriraman
Hi, I have attached the latest patch with bug fixes, comments. I have also added ...
8 years, 4 months ago (2012-10-23 21:09:21 UTC) #77
Diego Novillo
On Fri, Oct 19, 2012 at 10:33 PM, Sriraman Tallam <tmsriram@google.com> wrote: > Yes, the ...
8 years, 4 months ago (2012-10-26 13:36:32 UTC) #78
hubicka_ucw.cz
Hi, sorry for jumping in late, for too long I did not had chnce to ...
8 years, 4 months ago (2012-10-26 15:54:49 UTC) #79
davidxl
On Fri, Oct 26, 2012 at 8:54 AM, Jan Hubicka <hubicka@ucw.cz> wrote: > Hi, > ...
8 years, 4 months ago (2012-10-26 16:07:05 UTC) #80
Sriraman
On Fri, Oct 26, 2012 at 9:07 AM, Xinliang David Li <davidxl@google.com> wrote: > On ...
8 years, 4 months ago (2012-10-26 16:54:20 UTC) #81